Package com.independentsoft.office.drawing

# Class FontReference

java.lang.Object
com.independentsoft.office.drawing.FontReference

public class FontReference extends Object
The Class FontReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FontReference()`
  Instantiates a new font reference.
  `FontReference​(InternalXMLStreamReader reader)`
  Instantiates a new font reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FontReference`
  `clone()`
  `ColorChoice`
  `getColorChoice()`
  Gets the color choice.
  `FontCollectionIndex`
  `getIndex()`
  Gets the index.
  `void`
  `setColorChoice​(ColorChoice colorChoice)`
  Sets the color choice.
  `void`
  `setIndex​(FontCollectionIndex index)`
  Sets the index.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FontReference

    public FontReference()
    Instantiates a new font reference.

  - ### FontReference

    public FontReference​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new font reference.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public FontReference clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColorChoice

    public ColorChoice getColorChoice()
    Gets the color choice.
    Returns:
      the color choice

  - ### setColorChoice

    public void setColorChoice​(ColorChoice colorChoice)
    Sets the color choice.
    Parameters:
      `colorChoice` - the new color choice

  - ### getIndex

    public FontCollectionIndex getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(FontCollectionIndex index)
    Sets the index.
    Parameters:
      `index` - the new index